# This shell script is run before Openbox launches.
# Environment variables set here are passed to the Openbox session.

# Programs to launch at startup
# =============================

# Start session manager
#lxsession &

# Start Bluetooth applet
#bluetooth-applet &

# Start screensaver deamon
xscreensaver -no-splash &

# Launch panel
tint2 &

# Put the background image using ImageMagick
RES=$(xdpyinfo | grep 'dimensions' | sed "s/\(.*\) \(.*\) \(.*\) \(.*\) \(.*\)/\2/")
display -dispose Background -window root -resize $RES\! /usr/share/wallpapers/lookatzen.jpg

# Enable power management
#gnome-power-manager &

# Start volume control system tray applet
volumeicon &

# Start the volume manager to automount external volumes
thunar --daemon &

# Launch Conky
#conky -q &

# Launch dock
adeskbar &

# D-bus
if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

# Make GTK apps look and behave how they were set up in the gnome config tools
if test -x /usr/libexec/gnome-settings-daemon >/dev/null; then
  /usr/libexec/gnome-settings-daemon &
elif which gnome-settings-daemon >/dev/null; then
  gnome-settings-daemon &
# Make GTK apps look and behave how they were set up in the XFCE config tools
elif which xfce-mcs-manager >/dev/null; then
  xfce-mcs-manager n &
fi

# Preload stuff for KDE apps
if which start_kdeinit >/dev/null; then
  LD_BIND_NOW=true start_kdeinit --new-startup +kcminit_startup &
fi

# Run XDG autostart things.  By default don't run anything desktop-specific
# See xdg-autostart --help more info
DESKTOP_ENV="OPENBOX"
if which /usr/lib/openbox/xdg-autostart >/dev/null; then
  /usr/lib/openbox/xdg-autostart $DESKTOP_ENV
fi


